<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/src/acmp.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">acmp.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="acmp_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">   64</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a>(<a class="code" href="struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;{</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordflow">if</span>(u32NegSrc != <a class="code" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a>)</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPRVCR = u32NegSrc;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPCR[u32ChNum] = (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPCR[u32ChNum] &amp; (~(<a class="code" href="group___m_i_n_i51___peripherals.html#ga41f4af95923dfdc23caf3c100ef4b10e">ACMP_CMPCR_NEGSEL_Msk</a> | <a class="code" href="group___m_i_n_i51___peripherals.html#ga96c9318f0dd048546c85078766855568">ACMP_CMPCR_HYSEN_Msk</a>))) |</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                            ((u32NegSrc != <a class="code" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a> ? <a class="code" href="group___m_i_n_i51___peripherals.html#ga41f4af95923dfdc23caf3c100ef4b10e">ACMP_CMPCR_NEGSEL_Msk</a> : 0) | u32HysteresisEn | <a class="code" href="group___m_i_n_i51___peripherals.html#gaa648b382612137cb1bda2923f7a21481">ACMP_CMPCR_ACMPEN_Msk</a>);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">   80</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a>(<a class="code" href="struct_a_c_m_p___t.html">ACMP_T</a> *acmp, uint32_t u32ChNum)</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;{</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a>-&gt;CMPCR[u32ChNum] &amp;= (~<a class="code" href="group___m_i_n_i51___peripherals.html#gaa648b382612137cb1bda2923f7a21481">ACMP_CMPCR_ACMPEN_Msk</a>);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; <span class="comment">/* end of group MINI51_ACMP_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; <span class="comment">/* end of group MINI51_ACMP_Driver */</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; <span class="comment">/* end of group MINI51_Device_Driver */</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="ttc" id="group___m_i_n_i51___peripherals_html_ga96c9318f0dd048546c85078766855568"><div class="ttname"><a href="group___m_i_n_i51___peripherals.html#ga96c9318f0dd048546c85078766855568">ACMP_CMPCR_HYSEN_Msk</a></div><div class="ttdeci">#define ACMP_CMPCR_HYSEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l00333">Mini51Series.h:333</a></div></div>
<div class="ttc" id="_mini51_series_8h_html"><div class="ttname"><a href="_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga042fe719ca247fb07992bd66bf267b89"><div class="ttname"><a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga042fe719ca247fb07992bd66bf267b89">ACMP_Open</a></div><div class="ttdeci">void ACMP_Open(ACMP_T *acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div><div class="ttdoc">Configure the specified ACMP module.</div><div class="ttdef"><b>Definition:</b> <a href="acmp_8c_source.html#l00064">acmp.c:64</a></div></div>
<div class="ttc" id="struct_a_c_m_p___t_html"><div class="ttname"><a href="struct_a_c_m_p___t.html">ACMP_T</a></div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l00156">Mini51Series.h:156</a></div></div>
<div class="ttc" id="group___m_i_n_i51___peripherals_html_ga41f4af95923dfdc23caf3c100ef4b10e"><div class="ttname"><a href="group___m_i_n_i51___peripherals.html#ga41f4af95923dfdc23caf3c100ef4b10e">ACMP_CMPCR_NEGSEL_Msk</a></div><div class="ttdeci">#define ACMP_CMPCR_NEGSEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l00336">Mini51Series.h:336</a></div></div>
<div class="ttc" id="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gadf8b3039e5b30cfc887b6ad643dc09ba"><div class="ttname"><a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf8b3039e5b30cfc887b6ad643dc09ba">ACMP_VNEG_PIN</a></div><div class="ttdeci">#define ACMP_VNEG_PIN</div><div class="ttdoc">Selecting the voltage of ACMP negative input pin as the source of ACMP V-.</div><div class="ttdef"><b>Definition:</b> <a href="acmp_8h_source.html#l00036">acmp.h:36</a></div></div>
<div class="ttc" id="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga23acd50e45282f2140f23971b7cb29cd"><div class="ttname"><a href="group___m_i_n_i51___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23acd50e45282f2140f23971b7cb29cd">ACMP_Close</a></div><div class="ttdeci">void ACMP_Close(ACMP_T *acmp, uint32_t u32ChNum)</div><div class="ttdoc">This function close comparator.</div><div class="ttdef"><b>Definition:</b> <a href="acmp_8c_source.html#l00080">acmp.c:80</a></div></div>
<div class="ttc" id="group___m_i_n_i51___peripherals_html_gaa648b382612137cb1bda2923f7a21481"><div class="ttname"><a href="group___m_i_n_i51___peripherals.html#gaa648b382612137cb1bda2923f7a21481">ACMP_CMPCR_ACMPEN_Msk</a></div><div class="ttdeci">#define ACMP_CMPCR_ACMPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l00327">Mini51Series.h:327</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga8b90783a67cca84746999e2d4dfc735c"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8b90783a67cca84746999e2d4dfc735c">ACMP</a></div><div class="ttdeci">#define ACMP</div><div class="ttdoc">Pointer to ACMP register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09934">Mini51Series.h:9934</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
